libwpd: WP6Listener Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6Listener Class Reference

`#include <WP6Listener.h>`

Inheritance diagram for WP6Listener:

List of all members.

## Public Member Functions
| WP6Listener (std::vector< WPXPageSpan * > *pageList, WPXHLListenerImpl *listenerImpl)
virtual void | setDate (const uint16_t year, const uint8_t month, const uint8_t day, const uint8_t hour, const uint8_t minute, const uint8_t second, const uint8_t dayOfWeek, const uint8_t timeZone, const uint8_t unused)=0
virtual void | setExtendedInformation (const uint16_t type, const WPXString &data)=0
virtual void | characterColorChange (const uint8_t red, const uint8_t green, const uint8_t blue)=0
virtual void | characterShadingChange (const uint8_t shading)=0
virtual void | highlightChange (const bool isOn, const RGBSColor color)=0
virtual void | fontChange (const uint16_t matchedFontPointSize, const uint16_t fontPID)=0
virtual void | updateOutlineDefinition (const WP6OutlineLocation outlineLocation, const uint16_t outlineHash, const uint8_t *numberingMethods, const uint8_t tabBehaviourFlag)=0
virtual void | paragraphNumberOn (const uint16_t outlineHash, const uint8_t level, const uint8_t flag)=0
virtual void | paragraphNumberOff ()=0
virtual void | displayNumberReferenceGroupOn (const uint8_t subGroup, const uint8_t level)=0
virtual void | displayNumberReferenceGroupOff (const uint8_t subGroup)=0
virtual void | styleGroupOn (const uint8_t subGroup)=0
virtual void | styleGroupOff (const uint8_t subGroup)=0
virtual void | globalOn (const uint8_t systemStyle)=0
virtual void | globalOff ()=0
virtual void | noteOn (const uint16_t textPID)=0
virtual void | noteOff (const WPXNoteType noteType)=0
virtual void | headerFooterGroup (const uint8_t headerFooterType, const uint8_t occurenceBits, const uint16_t textPID)=0
virtual void | suppressPageCharacteristics (const uint8_t suppressCode)=0
virtual void | insertRow (const uint16_t rowHeight, const bool isMinimumHeight, const bool isHeaderRow)=0
virtual void | insertCell (const uint8_t colSpan, const uint8_t rowSpan, const uint8_t borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const uint32_t cellAttributes)=0
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
virtual void | undoChange (const uint8_t undoType, const uint16_t undoLevel)
## Private Attributes
WP6PrefixData * | m_prefixData

## Constructor & Destructor Documentation

WP6Listener::WP6Listener | ( | std::vector< WPXPageSpan * > * | pageList,
|  | WPXHLListenerImpl * | listenerImpl
| ) |

## Member Function Documentation

virtual void WP6Listener::characterColorChange | ( | const uint8_t | red,
|  | const uint8_t | green,
|  | const uint8_t | blue
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::characterShadingChange | ( | const uint8_t | shading | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::displayNumberReferenceGroupOff | ( | const uint8_t | subGroup | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::displayNumberReferenceGroupOn | ( | const uint8_t | subGroup,
|  | const uint8_t | level
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::fontChange | ( | const uint16_t | matchedFontPointSize,
|  | const uint16_t | fontPID
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

const WP6PrefixDataPacket * WP6Listener::getPrefixDataPacket | ( | const int | prefixID | ) | const

virtual void WP6Listener::globalOff | ( |  | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::globalOn | ( | const uint8_t | systemStyle | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::headerFooterGroup | ( | const uint8_t | headerFooterType,
|  | const uint8_t | occurenceBits,
|  | const uint16_t | textPID
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::highlightChange | ( | const bool | isOn,
|  | const RGBSColor | color
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::insertCell | ( | const uint8_t | colSpan,
|  | const uint8_t | rowSpan,
|  | const uint8_t | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const uint32_t | cellAttributes
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::insertRow | ( | const uint16_t | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::noteOff | ( | const WPXNoteType | noteType | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::noteOn | ( | const uint16_t | textPID | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::paragraphNumberOff | ( |  | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::paragraphNumberOn | ( | const uint16_t | outlineHash,
|  | const uint8_t | level,
|  | const uint8_t | flag
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::setDate | ( | const uint16_t | year,
|  | const uint8_t | month,
|  | const uint8_t | day,
|  | const uint8_t | hour,
|  | const uint8_t | minute,
|  | const uint8_t | second,
|  | const uint8_t | dayOfWeek,
|  | const uint8_t | timeZone,
|  | const uint8_t | unused
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::setExtendedInformation | ( | const uint16_t | type,
|  | const WPXString & | data
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

void WP6Listener::setPrefixData | ( | WP6PrefixData * | prefixData | ) | `[inline]`

virtual void WP6Listener::styleGroupOff | ( | const uint8_t | subGroup | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::styleGroupOn | ( | const uint8_t | subGroup | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

virtual void WP6Listener::suppressPageCharacteristics | ( | const uint8_t | suppressCode | ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

void WP6Listener::undoChange | ( | const uint8_t | undoType,
|  | const uint16_t | undoLevel
| ) | `[virtual]`

virtual void WP6Listener::updateOutlineDefinition | ( | const WP6OutlineLocation | outlineLocation,
|  | const uint16_t | outlineHash,
|  | const uint8_t * | numberingMethods,
|  | const uint8_t | tabBehaviourFlag
| ) | `[pure virtual]`

| Implemented in WP6ContentListener, and WP6StylesListener.

## Member Data Documentation

WP6PrefixData* WP6Listener::m_prefixData`[private]`

The documentation for this class was generated from the following files:

- WP6Listener.h
- WP6Listener.cpp